# $Revision: 1.68 $, $Date: 2010/08/16 15:36:38 $
%define		ppp_version	2.4.5
Summary:	Network Manager for GNOME
Summary(pl.UTF-8):	Zarządca sieci dla GNOME
Name:		NetworkManager
Version:	0.8.1
Release:	2
License:	GPL v2
Group:		Networking/Admin
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	96e551149dda8f6e0a5621f77468ba79
Source1:	%{name}.conf
Patch0:		%{name}-pld.patch
Patch1:		%{name}-plugins-Makefile.patch
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.75
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libiw-devel >= 1:28-0.pre9.1
BuildRequires:	libnl-devel >= 1:1.0-0.pre8.1
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	nss-devel >= 3.11
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	ppp-plugin-devel >= 3:%{ppp_version}
BuildRequires:	rpmbuild(macros) >= 1.450
BuildRequires:	sed >= 4.0
BuildRequires:	udev-devel
BuildRequires:	udev-glib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dhcp-client
Requires:	polkit
Requires:	rc-scripts
Requires:	wpa_supplicant >= 0.6-2
Suggests:	ModemManager
Suggests:	mobile-broadband-provider-info
Obsoletes:	dhcdbd < 3.0-1
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
Network Manager for GNOME.

%description -l pl.UTF-8
Zarządca sieci dla GNOME.

%package apidocs
Summary:	libnm-glib library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnm-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnm-glib library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnm-glib.

%package libs
Summary:	Network Manager shared libraries
Summary(pl.UTF-8):	Biblioteki dzielone Network Managera
Group:		Libraries
Conflicts:	NetworkManager < 0.6.4-0.2

%description libs
Network Manager shared libraries.

%description libs -l pl.UTF-8
Biblioteki dzielone Network Managera.

%package devel
Summary:	Network Manager includes and more
Summary(pl.UTF-8):	Pliki nagłówkowe Network Managera
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.75
Requires:	libuuid-devel
Requires:	udev-glib-devel

%description devel
Network Manager includes and more.

%description devel -l pl.UTF-8
Pliki nagłówkowe Network Manager.

%package static
Summary:	Network Manager static libraries
Summary(pl.UTF-8):	Statyczne biblioteki Network Managera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Network Manager static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Network Managera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--with-distro=pld \
	--enable-more-warnings=yes \
	--with-dhclient=/sbin/dhclient \
	--with-iptables=/usr/sbin/iptables \
	--with-system-ca-path=/etc/certs \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/run/%{name},%{_sysconfdir}/%{name}/{VPN,dispatcher.d,system-connections}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# Cleanup
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/pppd/*.*.*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add NetworkManager
%service -n NetworkManager restart "NetworkManager daemon"

%preun
if [ "$1" = "0" ]; then
	%service NetworkManager stop
	/sbin/chkconfig --del NetworkManager
fi

%triggerun -- NetworkManager < 0.7.0-0.svn4027.1
%service -q NetworkManagerDispatcher stop
/sbin/chkconfig --del NetworkManagerDispatcher

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nm-tool
%attr(755,root,root) %{_bindir}/nmcli
%attr(755,root,root) %{_sbindir}/NetworkManager
%dir %{_libdir}/NetworkManager
%attr(755,root,root) %{_libexecdir}/nm-crash-logger
%attr(755,root,root) %{_libdir}/pppd/%{ppp_version}/nm-pppd-plugin.so
%attr(755,root,root) %{_libexecdir}/nm-avahi-autoipd.action
%attr(755,root,root) %{_libexecdir}/nm-dhcp-client.action
%attr(755,root,root) %{_libexecdir}/nm-dispatcher.action
%attr(755,root,root) %{_libexecdir}/libnm-settings-plugin-keyfile.so
%attr(755,root,root) %{_libexecdir}/libnm-settings-plugin-ifcfg-rh.so
%attr(754,root,root) /etc/rc.d/init.d/NetworkManager
/lib/udev/rules.d/77-nm-olpc-mesh.rules
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/VPN
%dir %{_sysconfdir}/%{name}/dispatcher.d
%dir %{_sysconfdir}/%{name}/system-connections
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_datadir}/%{name}
%dir /var/run/%{name}
%{_datadir}/polkit-1/actions/org.freedesktop.network-manager-settings.system.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/%{name}/gdb-cmd
%{_mandir}/man1/nm-tool.1*
%{_mandir}/man1/nmcli.1*
%{_mandir}/man5/nm-system-settings.conf.5*
%{_mandir}/man5/NetworkManager.conf.5*
%{_mandir}/man8/NetworkManager.8*
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-dhcp-client.conf
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-avahi-autoipd.conf
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-dispatcher.conf
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-ifcfg-rh.conf
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/NetworkManager.conf

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnm-glib
%{_gtkdocdir}/libnm-util

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnm-util.so.1
%attr(755,root,root) %{_libdir}/libnm-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnm-glib.so.2
%attr(755,root,root) %{_libdir}/libnm-glib-vpn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnm-glib-vpn.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-util.so
%attr(755,root,root) %{_libdir}/libnm-glib.so
%attr(755,root,root) %{_libdir}/libnm-glib-vpn.so
%{_libdir}/libnm-util.la
%{_libdir}/libnm-glib.la
%{_libdir}/libnm-glib-vpn.la
%{_includedir}/NetworkManager
%{_includedir}/libnm-glib
%{_pkgconfigdir}/NetworkManager.pc
%{_pkgconfigdir}/libnm-util.pc
%{_pkgconfigdir}/libnm-glib-vpn.pc
%{_pkgconfigdir}/libnm-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnm-util.a
%{_libdir}/libnm-glib.a
%{_libdir}/libnm-glib-vpn.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: NetworkManager.spec,v $
Revision 1.68  2010/08/16 15:36:38  glen
- changes from Przemo Firszt <przemo#firszt.eu> (untested):
  - Add ifcfg-rh plugin to NetworkManager,
  - Add new config file for NM and remove obsolete one,
  - Add Suggests: ModemManager & mobile-broadband-provider-info

Revision 1.67  2010/07/29 16:32:37  megabajt
- merged from DEVEL

Revision 1.66.2.2  2010/07/29 14:24:05  megabajt
- updated to 0.8.1
- added R: udev-glib-devel to -devel subpackage

Revision 1.66.2.1  2010/05/30 15:39:55  arvenil
- up to 0.8.0.998 (not tested yet)

Revision 1.66  2010/05/28 19:37:53  megabajt
- install pppd plugin to proper directory
- release 3

Revision 1.65  2010/04/26 11:55:52  glen
- release 2

Revision 1.64  2010/02/20 07:09:31  megabajt
- updated to 0.8

Revision 1.63  2010/02/06 01:58:16  sparky
- BR: PolicyKit-devel replaced with polkit-devel
- commented out unused BR: hal-devel

Revision 1.62  2010/02/05 23:18:01  qwiat
- cosmetics

Revision 1.61  2010/02/05 23:15:08  qwiat
- update to 0.7.999

Revision 1.60  2009/11/27 22:39:09  megabajt
- updated to 0.7.2

Revision 1.59  2009/11/17 21:25:15  zbyniu
- R: libuuid-devel in -devel not -static

Revision 1.58  2009/05/14 00:06:21  charles
- added URL

Revision 1.57  2009/04/14 09:06:27  megabajt
- updated to 0.7.1 (new soname)
- updated -pld.patch
- removed build blockers (specified CVEs are not related to NetworkManager.spec)

Revision 1.56  2009/03/30 13:40:23  blues
- CVE-2009-0578  security blocker

Revision 1.55  2009/03/30 13:39:01  blues
- CVE-2009-0365 security blocker

Revision 1.54  2009/03/16 00:33:15  patrys
- drop nonsense TODO

Revision 1.53  2009/01/07 13:57:55  sls
- devel Requires: libuuid-devel

Revision 1.52  2009/01/04 02:19:47  sls
- BR: ppp-plugin-devel >= 3:2.4.4-2 (required pppd/{fsm,ipcp}.h)

Revision 1.51  2008/11/29 16:44:48  qboosh
- better Group

Revision 1.50  2008/11/29 02:28:30  shadzik
- i'm soooooooo blind ;)
- reverted

Revision 1.49  2008/11/29 02:23:43  shadzik
- pass --with-distro

Revision 1.48  2008/11/27 22:14:21  tommat
- R: dhcp-client

Revision 1.47  2008/11/27 16:49:22  megabajt
- merged from DEVEL
- release 1 (works for me)

Revision 1.39.2.13  2008/11/27 15:21:57  megabajt
- updated to 0.7.0 (not tested)
- trigger to delete NetworkManagerDispatcher service on upgrade
- release 0.1

Revision 1.46  2008/11/20 17:02:15  spider
- missing br, readline-devel
- adapterized

Revision 1.39.2.12  2008/11/03 23:25:09  patrys
- use keyfile by default
- rel 2

Revision 1.39.2.11  2008/09/13 10:56:01  cactus
- BR: gtk-doc-automake libuuid-devel nss-devel

Revision 1.39.2.10  2008/09/03 20:03:12  patrys
- current snap
- pld patches incorporated into the tarball (http://bugzilla.gnome.org/show_bug.cgi?id=550714)

Revision 1.39.2.9  2008/08/29 17:42:52  glen
- misplaced comment

Revision 1.39.2.8  2008/08/29 17:42:35  glen
- remove -Werror, adapter

Revision 1.39.2.7  2008/05/12 16:11:27  glen
- <= causes pain, use just <

Revision 1.39.2.6  2008-05-12 15:24:51  patrys
- O: dhcdbd as of 0.7

Revision 1.45  2008/05/05 13:58:22  glen
- do not restart NM on upgrade; rel 4

Revision 1.44  2008-04-27 00:15:17  glen
- rel 3

Revision 1.43  2008-04-23 11:27:40  glen
- drop gnome deps

Revision 1.39.2.5  2008-04-22 22:03:44  patrys
- refetch

Revision 1.39.2.4  2008-04-22 21:59:44  patrys
- r3588

Revision 1.42  2008/03/07 16:13:18  megabajt
- updated to 0.6.6
- removed -branch.diff

Revision 1.41  2008-02-17 00:13:25  tommat
- typo

Revision 1.40  2008/02/04 17:17:45  megabajt
- updated -branch.diff
- removed applied upstream -deprecated.patch
- ghost soname symlinks
- release 6

Revision 1.39.2.3  2007-12-25 23:46:55  megabajt
- updated to snap from rev 3190

Revision 1.39.2.2  2007-11-22 17:44:54  megabajt
- own %{_sysconfdir}/NetworkManager/VPN

Revision 1.39.2.1  2007-11-21 19:24:37  megabajt
- start playing with NetworkManager 0.7 (rev3104)
- updated deps

Revision 1.39  2007-11-12 19:40:46  dzeus
- rel++

Revision 1.38  2007-11-03 22:56:31  ankry
- sr@Latn -> sr@latin, rel. 4

Revision 1.37  2007/10/29 21:18:02  megabajt
- release 3

Revision 1.36  2007/09/08 10:52:55  megabajt
- install nm-tool
- release 2

Revision 1.35  2007/09/08 09:55:38  megabajt
- added init script for NetworkManagerDispatcher
- release 1.3

Revision 1.34  2007/09/07 22:49:11  megabajt
- added deprecated patch and branch diff
- release 1.1 NFY

Revision 1.33  2007/06/27 16:22:14  dzeus
- missing BR: libselinux-devel

Revision 1.32  2007/05/24 20:17:32  megabajt
- full ac/am/lt regeneration instead of autoreconf
- removed unused %gconf_schema_install

Revision 1.31  2007/05/14 20:01:45  qboosh
- some epochs, revised todo

Revision 1.30  2007/05/11 12:13:25  patrys
- 0.6.5
- DBUS patch is upstream
- applet now in a separate package

Revision 1.29  2007/04/15 16:24:23  baggins
- BR gettext-devel

Revision 1.28  2007/02/12 21:23:44  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.26  2007/01/17 07:16:24  qrczak
- Fixed epoch in BR: libiw-devel

Revision 1.25  2007/01/13 17:04:52  czarny
- one todo removed
- one todo questoined
- rel up to 1 and going to build that
- works with just now beeing build dhcdbd and dhcp

Revision 1.24  2006/09/06 06:08:37  qboosh
- unified

Revision 1.23  2006/08/29 18:51:53  patrys
- add conflict with older main package

Revision 1.22  2006/08/29 13:38:03  patrys
- separate -libs for building related apps

Revision 1.21  2006/08/23 19:17:00  patrys
- up to 0.6.4

Revision 1.20  2006/07/17 08:00:41  qboosh
- -devel R: dbus-glib-devel,libgcrypt-devel

Revision 1.19  2006/07/17 07:45:16  qboosh
- -devel R: base, -static R: -devel

Revision 1.18  2006/07/16 20:28:33  piti
- separated -devel and -static subpackages. Thanks to OJO.

Revision 1.17  2006/05/29 23:08:02  patrys
- actually make it work

Revision 1.16  2006/05/29 22:12:05  patrys
- R: wpa_supplicant (following the official announcement)

Revision 1.15  2006/04/04 21:04:13  qboosh
- more BRs, fixed dbus version
- pass dhcdbd and wpa_supplicant paths to configure to avoid BRing them

Revision 1.14  2006/04/04 20:36:13  qboosh
- files cleanup (BTW: is -devel necessary?)

Revision 1.13  2006/04/04 19:33:25  freetz
- removed bogus wpa_supplicant (!) BR

Revision 1.12  2006/04/04 16:56:41  aredridel
- BR: wpa_supplicant

Revision 1.11  2006/04/04 16:56:04  aredridel
- Requires newer dbus

Revision 1.10  2006/04/03 20:15:42  aredridel
- 0.6.2

Revision 1.9  2006/03/19 17:50:57  glen
- use %service

Revision 1.8  2005/12/28 12:14:37  wrobell
- fixed build requirements for wireless tools library

Revision 1.7  2005/12/27 13:57:00  patrys
- init script added

Revision 1.6  2005/12/27 12:40:43  patrys
- up to 0.5.1
- reimplemented the PLD backend

Revision 1.5  2005/07/12 23:33:21  jpc
- new snap (20050713)
- added TODO
- nfy :/

Revision 1.4  2005/05/20 23:37:01  wrobell
- snap 20050520 (ver. 0.4) (c backends sucks)

Revision 1.3  2005/04/05 17:16:38  wrobell
- ver. 0.3.4
- updated file section, still nfy, still not tested

Revision 1.2  2005/01/25 18:41:39  qboosh
- pl

Revision 1.1  2005/01/24 22:52:09  wrobell
- based on template
